控制单元格合并。 支持的平台:仅窗口 签名工 务 局: object.EnableMergeAll nRow, nCol, bEnable
返回值(RetVal)无返回值。 言论没有额外的评论。 例子工 务 局: Sub Example_EnableMergeAll() ' This example creates a TableStyle object and sets values for ' the style cell merging. Dim dictionaries As AcadDictionaries Set dictionaries = ThisDrawing.Database.dictionaries Dim dictObj As AcadDictionary Set dictObj = dictionaries.Item("acad_tablestyle") ' Create the custom TableStyle object in the dictionary Dim keyName As String Dim className As String Dim customObj As IAcadTableStyle keyName = "NewStyle" className = "AcDbTableStyle" Set customObj = dictObj.AddObject(keyName, className) customObj.Name = "NewStyle" customObj.Description = "New Style for My Tables" customObj.CreateCellStyle "NewTestStyle2" customObj.EnableMergeAll "NewTestStyle2", False If customObj.GetIsMergeAllEnabled("NewTestStyle2") = False Then MsgBox "Merge all is not enabled!" End If End Sub Visual LISP: (vl-load-com) (defun c:Example_EnableMergeAll() ;; This example creates a TableStyle object and sets values for ;; the style cell merging. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq dictionaries (vla-get-Dictionaries doc)) (setq dictObj (vla-Item dictionaries "acad_tablestyle")) ;; Create the custom TableStyle object in the dictionary (setq keyName "NewStyle" className "AcDbTableStyle") (setq customObj (vla-AddObject dictObj keyName className)) (vla-put-Name customObj "NewStyle") (vla-put-Description customObj "New Style for My Tables") (vla-CreateCellStyle customObj "NewTestStyle2") (vla-EnableMergeAll customObj "NewTestStyle2" :vlax-false) (if (= (vla-GetIsMergeAllEnabled customObj "NewTestStyle2") :vlax-false) (alert "Merge all is not enabled!") ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:20
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.